

% Steady state file for the Global-Bank model of Mick Devereux and Gianni Lombardo
% @ BIS December 2014

tax_pen_e= tx_alpha_k*tau_k_e_obj^2;
tax_pen_c= tx_alpha_k*tau_k_c_obj^2;


He=1;
Hc=1;
Pe=1;
Gamma_w=.65;
R_b=1.01;
filename='GB_HRkRER';
%starting_value=[He;Hc;R_b];
starting_value=  [         0.952332084526422
         0.927491770369182
           1.0159036046379];
fval=GB_HRkRER(starting_value);

% non binding
%    starting_value=    [    0.2931
%     0.2862
%     0.9952
%     0.7561];
%
% Ke=10;
if norm(fval)>1e-9
    global solver
    
    solver=1;
    %%
    if 1==2
    % set up variables for broyden
    % set up variables for broyden
    nvar    = length(starting_value);                 % number of variables
    xin  = starting_value;                % initial value
    xlo  = -ones(nvar,1);      % lower bounds, may be scalar or vector
    xup  = -xlo*2;               % upper bounds, scalar or vector
    opts = [ 1e-12 1000 1 -1 0];  % eps, maxit, trace, iprint, #constants
    [starting_value,flagsb] = Broyden(filename,nvar,xin,xlo,xup,opts);
    starting_value=starting_value(:,end);
    x=starting_value;
   fval=GB_HRkRER(starting_value);
   
    else
     options=optimset('MaxFunEvals ',5000, 'Display','off','TolX',1e-12,'TolF',1e-12);
     [x,fval]=fsolve(filename,starting_value,options);
    end
     if 1==2 && norm(fval)>1e-9
        
        solver=0;
        
        %simulating annealing
        LB=0*ones(size(starting_value));
        UB=4*ones(size(starting_value));
        
        neps=4;
        %  Set input parameters.
        maxy=0;
        eps=1.0e-6;
        rt_=.98;
        t=10.0;
        ns=10;
        nt=4;
        maxevl=50000;
        idisp =1;
        npar=length(starting_value);
        
        disp(['size of param',num2str(length(starting_value))])
        c=.1*ones(npar,1);
        %*  Set input values of the input/output parameters.*
        
        vm=.01*ones(npar,1);
        disp(['number of parameters= ' num2str(npar) 'max= '  num2str(maxy) 't=  ' num2str(t)]);
        disp(['rt_=  '  num2str(rt_) 'eps=  '  num2str(eps) 'ns=  '  num2str(ns)]);
        disp(['nt=  '  num2str(nt) 'neps= '   num2str(neps) 'maxevl=  '  num2str(maxevl)]);
        %      disp(['iprint=   '   num2str(iprint) 'seed=   '   num2str(seed)]);
        disp '  ';
        disp '  ';
        disp(['starting values(x)  ' num2str(starting_value')]);
        disp(['initial step length(vm)  '  num2str(vm')]);
        disp(['lower bound(lb)', 'initial conditions', 'upper bound(ub)' ]);
        disp([LB starting_value UB]);
        disp(['c vector   ' num2str(c')]);
        
        
        [x, fval, nacc, nfcnev, nobds, ier, t, vm] = sa(filename,starting_value,maxy,rt_,eps,ns,nt ...
            ,neps,maxevl,LB,UB,c,idisp ,t,vm,[]);
        solver=1;
        options=optimset('MaxFunEvals ',50000, 'Display','final','TolX',1e-13,'TolF',1e-13);
        [x,fval]=fsolve(filename,x,options);
        
    end
else
    x=starting_value;
end
param_GB;


He=abs(x(1));
Hc=abs(x(2));
R_b=abs(x(3));
% Gamma_w_tr=x(4);
% Gamma_w=exp(Gamma_w_tr)/(1+exp(Gamma_w_tr));
%
% [w_bar,fval2]=fsolve('argGamma_w_f',.5,options,Gamma_w);
% w_bar=abs(w_bar);


GB_core_ss;
if ffr==1
    if abs(V_c-alpha_vc)>1e-8 ||abs(V_e-alpha_ve)>1e-8
        warning('Linearity of VF violation')
    end
end

rs=n*(Ye-Ce-Ie)+(1-n)*(Yc-Cc-Ic);      

Se=1;
Sc=1;
Qe=1;
Qc=1;
Itot_e=Ie;
Itot_c=Ic;
alpha_ve_ss=log(alpha_ve);
alpha_vc_ss=log(alpha_vc);
Ye_ss=log(Ye);
Yc_ss=log(Yc);
Pe_ss=log(Pe);
DNX_GDP=1;
Ve_ss=Ve;
Be_ss=Be;

Cc_ss=log(Cc);
Ce_ss=log(Ce);




LADJ_c=1;
LADJ_e=1;

Lambda_e=betta;
Lambda_c=betta;

xie=1;
xic=1;
Ae=1;
Ac=1;
kappashe=1;
kappashc=1;
polsh_c=1;
polsh_e=1;
% Gamma_wp=1 - exp(-(1/2)*log(w_bar)^2)/sqrt(2* pi) + exp(-(1/2)* log(w_bar)^2)/( sqrt(2 *pi)* w_bar) - 1/2 *erfc(-(log(w_bar)/sqrt(2)));

Ze=((MC_e)*alphha*(He)^(1-alphha)*(Ke)^(alphha-1));
Zc=((MC_c)*alphha*(Hc)^(1-alphha)*(Kc)^(alphha-1));
% (1-(tau_k_e))*
% (1-(tau_k_c))*
Leverage_e=Qe*Ke/(Ne);
Leverage_c=WG/(Nc);

Leverage_e_ss=Leverage_e;
Leverage_c_ss=Leverage_c;

lambda_e_MaP=kappa_MPe_bar;
lambda_c_MaP=kappa_MPc_bar;

% spread_e=(Rke/R_b_tilde);
spread_e=(Rke/Re);
spread_c=(Rkc/Rc);



spread_e_ss=(spread_e);
spread_c_ss=(spread_c);

NX_GDP=exp((Ye-Ie-Ce)/Ye);
Ve_GDP=Ve/Ye;
NFA_E=(Be-Ve)/Ye/Pe;
HNFA_E=exp(1);
Ext_D_GDP=Ve/Ye;

de=1;
%tax_pen_e=tx_smooth*(tau_l_e-pref_tx_l_m1*tau_l_e)^2 ...
%+tx_smooth_k*(tau_k_e-pref_tx_k_m1*tau_k_e)^2;
%tax_pen_c=tx_smooth*(tau_l_c-pref_tx_l_m1*tau_l_c)^2 ...
%+tx_smooth_k*(tau_k_c-pref_tx_k_m1*tau_k_c)^2;


Ge=MaP_cost*(tau_k_e+MaP_cost2*tau_k_e^2);
Gc=MaP_cost*(tau_k_c+MaP_cost2*tau_k_c^2);


if siggma==1;
    %Added the labor penalty here
    UE=(log(Ce)-chhi*(He+H_pen*tax_pen_e)^(pssi+1)/(pssi+1))-(1-H_pen)*tax_pen_e;
    UC=(log(Cc)-chhi*(Hc+H_pen*tax_pen_c)^(pssi+1)/(pssi+1))-(1-H_pen)*tax_pen_c;
    UE_no_pen = (log(Ce)-chhi*(He)^(pssi+1)/(pssi+1));
    UC_no_pen = (log(Cc)-chhi*(Hc)^(pssi+1)/(pssi+1));    
else
    %Added the labor penalty here
    UE=(((Ce)^(1-siggma)-1)/(1-siggma)-chhi*(He+H_pen*tax_pen_e)^(pssi+1)/(pssi+1))-(1-H_pen)*tax_pen_e;
    UC=(((Cc)^(1-siggma)-1)/(1-siggma)-chhi*(Hc+H_pen*tax_pen_c)^(pssi+1)/(pssi+1))-(1-H_pen)*tax_pen_c;
    
    UE_no_pen=(((Ce)^(1-siggma)-1)/(1-siggma)-chhi*(He)^(pssi+1)/(pssi+1));
    UC_no_pen=(((Cc)^(1-siggma)-1)/(1-siggma)-chhi*(Hc)^(pssi+1)/(pssi+1));

end
%Util=optim_EME*uu_h*n*(UE-tax_pen_e)+optim_AE*uu_f*(1-n)*(UC-tax_pen_c);
Util=optim_EME*uu_h*n*(UE)+optim_AE*uu_f*(1-n)*(UC);
Util_no_pen=optim_EME*uu_h*n*(UE_no_pen)+optim_AE*uu_f*(1-n)*(UC_no_pen);




R_e=Re;
R_c=Rc;



Income_e = Ye+cmk*(ffr*         (R_c*Be))+(1-cmk)*         ((R_c)*Be)+ffr*(R_e*Dep    +(Qe)*(Ie)-Itot_e  +(1-thetta_e)*((Ne)-deltta_T_e*(Qe)*(Ke))/thetta_e);
Income_c = Yc+cmk*(ffr*(-n/(1-n)*R_c*Be))+(1-cmk)*(-n/(1-n)*(R_c)*Be)+ffr*(R_c*Dep_c  +(Qc)*(Ic)-Itot_c  +(1-thetta_c)*((Nc)-deltta_T_c*(Qc)*(Kc))/thetta_c);



lambda_e_MaP_ss=log(lambda_e_MaP);
lambda_c_MaP_ss=log(lambda_c_MaP);
R_b_ss=log(R_b);
R_e_ss=log(Re);
Rke_ss=log(Rke);
Rkc_ss=log(Rkc);
R_c_ss=log(R_c);
Ze_ss=log(Ze);
Zc_ss=log(Zc);
I_GDP_e=(Ie/Ye);
I_GDP_c=(Ic/Yc);
DGDP_e=1;
DGDP_c=1;
DI_e=1;
DI_c=1;
spread_xp_e=spread_e;
spread_xp_c=spread_c;
% Dep=(psi_D-1)*Ve;