function Regime = Set_Up_IRF_Regimes()

    %Set up all the regimes to run over
    %Regimes are with a base regime
    gamma_k = 0.05;%0.2;
    alpha_k = 0;

    Size = 1/2;
    
    %DECLARE THE BASE REGIMES FIRST
    %Detail the base regime, which is the initial values used for calculating the conditional means
    %The flag that this policy is a base regime is that the Base_Regime is the same as the Regime_ID
    nnn=0;
    for ffr=[0 1]
        if ffr==0
            Prefix = 'IRBC';
            k_D_Tries = 1;
        else
            Prefix = 'FF';
            k_D_Tries = [1 0.5 0];
        end

        for k_D = k_D_Tries %[1 0.5 0]

            nnn=nnn+1;

            Baseline_Regime = nnn;
            
            Regime(nnn).Name = [Prefix ': No MaP, k_D=' num2str(k_D)];
            Regime(nnn).Policy_Regime = 4; %1 is both countries optimizing; 2 is EME only; 3 is AE only
            Regime(nnn).tx_alpha_k = alpha_k; %Doesn't matter what this is as zero taxes
            Regime(nnn).tx_gamma_k = gamma_k; %Doesn't matter what this is as zero taxes
            Regime(nnn).nash_param = 1; %NOTE THAT 0 is NASH
            Regime(nnn).Base_Regime = nnn; %Set this number to be the same as the Regime_ID if it is a base regime, then the code will save the results and pass to cond_mom. Otherwise, set this number to the number of the base regime you want to compare to.
            Regime(nnn).ffr=ffr; %Financial frictions
            Regime(nnn).n = Size; %Size
            Regime(nnn).k_D = k_D;  %Share of deposits


            
            %Coop
            nnn=nnn+1;
            Regime(nnn).Name = [Prefix ': Coop, k_D=' num2str(k_D)];
            Regime(nnn).Policy_Regime = 1; %1 is both countries optimizing; 2 is EME only; 3 is AE only
            Regime(nnn).tx_alpha_k = alpha_k;
            Regime(nnn).tx_gamma_k = gamma_k;
            Regime(nnn).nash_param = 1; %NOTE THAT 0 is NASH
            Regime(nnn).Base_Regime = nnn; %This means that you use Regime_ID = 4 as the base regime
            Regime(nnn).ffr=ffr; %Financial frictions
            Regime(nnn).n = Size; %Size
            Regime(nnn).k_D = k_D;  %Share of deposits


            %Nash
            nnn=nnn+1;
            Regime(nnn).Name = [Prefix ': Nash, k_D=' num2str(k_D)];
            Regime(nnn).Policy_Regime = 1; %1 is both countries optimizing; 2 is EME only; 3 is AE only
            Regime(nnn).tx_alpha_k = alpha_k;
            Regime(nnn).tx_gamma_k = gamma_k;
            Regime(nnn).nash_param = 0; %NOTE THAT 0 is NASH
            Regime(nnn).Base_Regime = nnn; %This means that you use Regime_ID = 4 as the base regime
            Regime(nnn).ffr=ffr; %Financial frictions
            Regime(nnn).n = Size; %Size
            Regime(nnn).k_D = k_D;  %Share of deposits

        end
    end
end