function [Regime, tau_k_e_Tries, tau_k_c_Tries] = Set_Up_Spillover_Regimes()

    %Set up all the regimes to run over

    gamma_k = 1;
    alpha_k = 0;
    
    %DECLARE THE BASE REGIMES FIRST
    nnn=1;
    Regime(nnn).Name = ['FF, No MaP'];
    Regime(nnn).Policy_Regime = 4; %1 is both countries optimizing; 2 is EME only; 3 is AE only; 4 is No MaP
    Regime(nnn).tx_alpha_k = alpha_k(1); 
    Regime(nnn).tx_gamma_k = gamma_k; %Doesn't matter what this is as zero taxes
    Regime(nnn).nash_param = 1; %NOTE THAT 0 is NASH
    Regime(nnn).Base_Regime = 1; %Set this number to be the same as the Regime_ID if it is a base regime, then the code will save the results and pass to cond_mom. Otherwise, set this number to the number of the base regime you want to compare to.
    Regime(nnn).tau_k_e = 0; %SS tax
    Regime(nnn).tau_k_c = 0; %SS tax
    Regime(nnn).n = 1/2; %Size
    Regime(nnn).k_D = 1;  %Share of deposits

    
    
    
    tau_k_e_Tries = -0.5:0.1:0.5;
    tau_k_c_Tries = -0.5:0.1:0.5;

    
    for ccc = 1:numel(tau_k_c_Tries)
        for eee = 1:numel(tau_k_e_Tries)
            nnn=nnn+1;

            Regime(nnn).Name = ['FF, tau_c=' num2str(tau_k_c_Tries(ccc)) ', tau_e=' num2str(tau_k_e_Tries(eee))];
            Regime(nnn).Policy_Regime = 4; %1 is both countries optimizing; 2 is EME only; 3 is AE only; 4 is No MaP
            Regime(nnn).tx_alpha_k = alpha_k(1); 
            Regime(nnn).tx_gamma_k = gamma_k; %Doesn't matter what this is as zero taxes
            Regime(nnn).nash_param = 1; %NOTE THAT 0 is NASH
            Regime(nnn).Base_Regime = 1; %Set this number to be the same as the Regime_ID if it is a base regime, then the code will save the results and pass to cond_mom. Otherwise, set this number to the number of the base regime you want to compare to.
            Regime(nnn).tau_k_e = tau_k_e_Tries(eee); %SS tax
            Regime(nnn).tau_k_c = tau_k_c_Tries(ccc); %SS tax
            Regime(nnn).n = 1/2; %Size
            Regime(nnn).k_D = 1;  %Share of deposits


        end
    end

    
end